org.wso2.carbon.governance.api.schema.dataobjects

## Interface Schema

- All Superinterfaces:
    GovernanceArtifact
  All Known Implementing Classes:
    SchemaImpl

      public interface Schema
      extends GovernanceArtifact

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axiom.om.OMElement` | `getSchemaElement()` Method to obtain the schema element of this schema artifact.
    `void` | `setSchemaElement(org.apache.axiom.om.OMElement schemaElement)` Method to set the schema element of this schema artifact.

    - ### Methods inherited from interface org.wso2.carbon.governance.api.common.dataobjects.GovernanceArtifact

      `addAssociation, addAssociation, addAttribute, addBidirectionalAssociation, addTag, addTags, attach, attach, attachLifecycle, checkLCItem, compareTo, detach, getAllCheckListItemNames, getAllLifecycleActions, getAllVotingItems, getAllVotingItems, getAssociatedArtifactIds, getAssociations, getAttribute, getAttributeKeys, getAttributes, getCurrentStateDuration, getDependencies, getDependents, getId, getLifecycleName, getLifecycleNames, getLifecycleState, getLifecycleState, getMediaType, getPath, getPropertyKeys, getQName, invokeAction, invokeAction, isLCItemChecked, isRegistryAwareArtifact, isVoted, isVoted, listTags, removeAssociation, removeAssociation, removeAttribute, removeTag, removeTags, setAttribute, setAttributes, setId, setQName, uncheckLCItem, uniqueTo, unvote, unvote, vote, vote`

- - ### Method Detail

    - #### getSchemaElement

          org.apache.axiom.om.OMElement getSchemaElement()

      Method to obtain the schema element of this schema artifact.
      Returns:
        the schema element.

    - #### setSchemaElement

          void setSchemaElement(org.apache.axiom.om.OMElement schemaElement)

      Method to set the schema element of this schema artifact.
      Parameters:
        `schemaElement` - the schema element.

Copyright © 2017 WSO2. All Rights Reserved.